Subject: bug#70784: Abolish string resizing

From: Gerd Möllmann <[email-masked]>
Date: Mon, 06 May 2024 08:02:14 +0200

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Drew Adams <[email-masked]> writes:
>
>> No, I didn't - you did.  I said nothing about
>> any enemies of Lisp, nor did I suggest that
>> anyone here is an enemy of Lisp.
>>
>> Please stop with the hyperbole and insinuation.
>> You appear to be trying to spin my position
>> into something it's not.
>>
>> It would be a mistake, IMHO, to do away with
>> mutable strings or lists in Elisp.  That's my
>> opinion: that would _impoverish Lisp_.  The
>> former (make strings immutable) is exactly the
>> question raised in this thread, IIUC.
>>
>> It would also be unfortunate to do away with
>> the use of nil as meaning false, or as the
>> empty list.  Again, that would _impoverish
>> Lisp_.  That's my opinion.
>>
>> Such suggestions don't jibe with Lisp; they
>> would, in effect mutate Lisp away from its
>> fundament.  Let's not go down that road.
>
> I agree, but alas, the dubious practice of removing time-honored
> facilities for their supposed disuse, virtually on impulse, and giving
> Emacs a new motto inspired by line 6186 of dispnew.c, is much in vogue
> with Mattias these days.

I had to look that up: it's bitch_at_user. Yeah, some arrogance is part
of being young, I guess :-).

> One can only hope that calmer heads will prevail.

First of all, I'd like to ask why this feature/these features are not
discussed on emacs-devel but here? I find that strange.

Wrt to this particular feature of aref, I wonder if XEmacs wasn't right
having a character type. That would be an interesting change. The change
in aref or strings doesn't interest me much.

The immutabile list thing and so on. To each his own, live and let live,
and so on, but this direction is not mine. And this all should be on
emacs-devel, but I said that already.